#
# Conditional build:
%bcond_with	tests	# perform make test
#
Summary:	Apache Portable Runtime
Summary(pl.UTF-8):	Apache Portable Runtime - przenośna biblioteka uruchomieniowa
Name:		apr
Version:	1.5.0
Release:	1
Epoch:		1
License:	Apache v2.0
Group:		Libraries
Source0:	http://www.apache.org/dist/apr/%{name}-%{version}.tar.bz2
# Source0-md5:	cc93bd2c12d0d037f68e21cc6385dc31
Patch0:		%{name}-link.patch
Patch1:		%{name}-libtool.patch
# disable some things that require recent kernel
Patch2:		%{name}-disable-features.patch
URL:		http://apr.apache.org/
BuildRequires:	autoconf >= 2.59
BuildRequires:	automake
%if "%{pld_release}" != "ac"
BuildRequires:	glibc-devel >= 6:2.9
BuildRequires:	libtool >= 2:2.2
%else
BuildRequires:	libtool
%endif
BuildRequires:	libuuid-devel
BuildRequires:	python
BuildRequires:	rpm >= 4.4.9-56
BuildRequires:	rpm-pythonprov
BuildRequires:	sed >= 4.0
%if "%{pld_release}" != "ac"
BuildRequires:	uname(release) >= 2.6
Requires:	uname(release) >= 2.6.13
%endif
# uuid.h misdetected from this one instead of libuuid-devel
BuildConflicts:	ossp-uuid-devel < 1.6.2-6
Conflicts:	kernel24
Conflicts:	kernel24-smp
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		_includedir	/usr/include/apr
%define		_datadir	/usr/share/apr

%description
The mission of the Apache Portable Runtime (APR) project is to create
and maintain software libraries that provide a predictable and
consistent interface to underlying platform-specific implementations.
The primary goal is to provide an API to which software developers may
code and be assured of predictable if not identical behaviour
regardless of the platform on which their software is built, relieving
them of the need to code special-case conditions to work around or
take advantage of platform-specific deficiencies or features.

%description -l pl.UTF-8
Celem projektu APR (Apache Portable Runtime) jest stworzenie i
utrzymywanie bibliotek dostarczających przewidywalnego i spójnego
interfejsu do leżących u podstaw implementacji zależnych od platformy.
Głównym celem jest dostarczenie API, którego mogą używać programiści
mając pewność, że zachowuje się w sposób przewidywalny, jeśli nie
identyczny, niezależnie od platformy na jakiej oprogramowanie jest
budowane oraz bez potrzeby kodowania specjalnych warunków do
obchodzenia lub wykorzystywania specyficznych dla platform różnic lub
możliwości.

%package devel
Summary:	Header files and development documentation for apr
Summary(pl.UTF-8):	Pliki nagłówkowe i dokumentacja programisty do apr
Group:		Development/Libraries
Requires:	%{name} = %{epoch}:%{version}-%{release}
Requires:	automake
%if "%{pld_release}" != "ac"
Requires:	libtool >= 2:2.2
%else
Requires:	libtool
%endif
Requires:	libuuid-devel
Requires:	python-modules

%description devel
Header files and development documentation for apr.

%description devel -l pl.UTF-8
Pliki nagłówkowe i dokumentacja programisty do apr.

%package static
Summary:	Static apr library
Summary(pl.UTF-8):	Statyczna biblioteka apr
Group:		Development/Libraries
Requires:	%{name}-devel = %{epoch}:%{version}-%{release}

%description static
Static apr library.

%description static -l pl.UTF-8
Statyczna biblioteka apr.

%prep
%setup -q
%patch0 -p1
%patch1 -p1
%patch2 -p1

cat >> config.layout <<'EOF'
<Layout PLD>
sbindir:	%{_sbindir}
libexecdir:	%{_libdir}/apr
installbuilddir: ${datadir}/build-${APR_MAJOR_VERSION}
localstatedir:	/var/run
runtimedir:	/var/run
libsuffix:	-${APR_MAJOR_VERSION}
</Layout>
EOF

%build
install /usr/share/automake/config.* build
%{__autoconf}

%configure \
	--enable-layout=PLD \
%ifarch %{ix86} %{x8664}
%ifnarch i386
	--enable-nonportable-atomics \
%endif
%endif
	--enable-threads \
	--with-devrandom=/dev/urandom
%{__make}

%{?with_tests:%{__make} -j1 check}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

mv -f $RPM_BUILD_ROOT%{_datadir}/build-1 $RPM_BUILD_ROOT%{_datadir}/build
install build/{*apr*.m4,*.awk,*.sh,gen-build.py} $RPM_BUILD_ROOT%{_datadir}/build
ln -snf /usr/share/automake/config.{guess,sub} $RPM_BUILD_ROOT%{_datadir}/build
if [ -f /usr/share/libtool/config/ltmain.sh ]; then
	ln -snf /usr/share/libtool/config/ltmain.sh $RPM_BUILD_ROOT%{_datadir}/build
else
	ln -snf /usr/share/libtool/ltmain.sh $RPM_BUILD_ROOT%{_datadir}/build
fi
ln -snf /usr/bin/libtool $RPM_BUILD_ROOT%{_datadir}/build
ln -sf build $RPM_BUILD_ROOT%{_datadir}/build-1

sed -i -e 's@^\(APR_SOURCE_DIR=\).*@\1"%{_datadir}"@' \
	$RPM_BUILD_ROOT%{_bindir}/apr-1-config
sed -i -e 's@^\(apr_builddir\|apr_builders\)=.*@\1=%{_datadir}/build-1@' \
	$RPM_BUILD_ROOT%{_datadir}/build/apr_rules.mk
sed -i -e '1s@#!.*python@#!%{__python}@' $RPM_BUILD_ROOT%{_datadir}/build/gen-build.py

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc CHANGES docs/*.html
%attr(755,root,root) %{_libdir}/libapr-1.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libapr-1.so.0

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/apr-1-config
%attr(755,root,root) %{_libdir}/libapr-1.so
%{_libdir}/libapr-1.la
%{_libdir}/apr.exp
%{_includedir}
%dir %{_datadir}
%dir %{_datadir}/build
%{_datadir}/build/*.mk
%{_datadir}/build/*.m4
%{_datadir}/build/*.awk
%attr(755,root,root) %{_datadir}/build/config.*
%attr(755,root,root) %{_datadir}/build/*.sh
%attr(755,root,root) %{_datadir}/build/libtool
%attr(755,root,root) %{_datadir}/build/gen-build.py
%{_datadir}/build-1
%{_pkgconfigdir}/apr-1.pc

%files static
%defattr(644,root,root,755)
%{_libdir}/libapr-1.a
%changelog
* Sun Nov 24 2013 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/apr.git;a=log;h=master

* Fri Nov 22 2013 Jakub Bogusz <qboosh@pld-linux.org> 17d2dc7
- updated to 1.5.0
- updated libtool patch

* Sun Jun 23 2013 Arkadiusz Miśkiewicz <arekm@maven.pl> b9578e8
- up to 1.4.8

* Thu Feb 16 2012 Jakub Bogusz <qboosh@pld-linux.org> 9ee023d
- updated to 1.4.6 (includes security fix concerning oCERT-2011-003)

* Wed Oct 12 2011 lisu <lisu@pld-linux.org> 5e225ee
- rel 3

* Wed Aug 31 2011 Elan Ruusamäe <glen@pld-linux.org> 0db5a6e
- ac-compat

* Mon Jun 13 2011 Arkadiusz Miśkiewicz <arekm@maven.pl> d6c7573
- release 2

* Sun May 22 2011 Arkadiusz Miśkiewicz <arekm@maven.pl> 2a3c9da
- up to 1.4.5; fixes CVE-2011-1928

* Thu May 19 2011 marti <marti@pld-linux.org> 7955cdd
- added apr-1.4.4-fnmatch.patch connected with regressions found in apr-1.4.4

* Thu May 19 2011 marti <marti@pld-linux.org> 87a0444
- according to regressions found in apr-1.4.4: http://mail-archives.apache.org/mod_mbox/httpd-announce/201105.mbox/%3C4DD55092.3030403@apache.org%3E

* Sun May 15 2011 marti <marti@pld-linux.org> ac1f4c2
- this version fixes: CVE-2011-0419

* Tue May 10 2011 Jakub Bogusz <qboosh@pld-linux.org> cd9a5e0
- updated to 1.4.4

* Fri Apr 16 2010 Arkadiusz Miśkiewicz <arekm@maven.pl> 5fec409
- release 2

* Thu Jan 28 2010 Arkadiusz Miśkiewicz <arekm@maven.pl> cb675dd
- up to 1.4.2

* Mon Sep 28 2009 Arkadiusz Miśkiewicz <arekm@maven.pl> e43f3d1
- up to 1.3.9

* Sun Aug 09 2009 Arkadiusz Miśkiewicz <arekm@maven.pl> 9339f74
- up to 1.3.8 (fixes SECURITY: CVE-2009-2412)

* Sun Jul 26 2009 Arkadiusz Miśkiewicz <arekm@maven.pl> a40f6e6
- disable features disables that for us, too

* Sat Jul 25 2009 Arkadiusz Miśkiewicz <arekm@maven.pl> 5c87f79
- up to 1.3.7

* Sat Jul 25 2009 Arkadiusz Miśkiewicz <arekm@maven.pl> ae5c913
- rel 2; disable more functions that require kernels >= 2.6.27

* Sat Jul 25 2009 Arkadiusz Miśkiewicz <arekm@maven.pl> 0146b63
- up to 1.3.6; disable SOCK_CLOEXEC (it requires kernel >= 2.6.27)

* Sun Jul 05 2009 Arkadiusz Miśkiewicz <arekm@maven.pl> ca90a2f
- drop obsolete files

